> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /healthgrades/facilities/search

> List Healthgrades group practices (medical offices, including urgent care clinics that have a profile) in a US city. Returns each facility's name, address, distance and affiliated provider count.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/local-places.json post /api/healthgrades/facilities/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/healthgrades/facilities/search:
    post:
      tags:
        - /healthgrades
      summary: /healthgrades/facilities/search
      description: >-
        List Healthgrades group practices (medical offices, including urgent
        care clinics that have a profile) in a US city. Returns each facility's
        name, address, distance and affiliated provider count.


        **Price:** 1 credit
      operationId: __api_healthgrades_facilities_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HealthgradesFacilitiesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HealthgradesFacilitySearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HealthgradesFacilitiesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        state:
          $ref: '#/components/schemas/HealthgradesState'
        city:
          type: string
          minLength: 1
        sort:
          $ref: '#/components/schemas/HealthgradesFacilitySort'
          default: distance
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - state
        - city
        - count
    HealthgradesFacilitySearchResult:
      properties:
        '@type':
          type: string
          default: HealthgradesFacilitySearchResult
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        facility_type:
          anyOf:
            - type: string
            - type: 'null'
        facility_type_code:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        distance:
          anyOf:
            - type: number
            - type: 'null'
        affiliated_provider_count:
          anyOf:
            - type: integer
            - type: 'null'
        patient_satisfaction:
          anyOf:
            - type: integer
            - type: 'null'
        five_star_rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        award_count:
          anyOf:
            - type: integer
            - type: 'null'
        awards:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        hours:
          items:
            $ref: '#/components/schemas/HealthgradesHours'
          type: array
          default: []
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    HealthgradesState:
      type: string
      enum:
        - al
        - ak
        - az
        - ar
        - ca
        - co
        - ct
        - de
        - dc
        - fl
        - ga
        - hi
        - id
        - il
        - in
        - ia
        - ks
        - ky
        - la
        - me
        - md
        - ma
        - mi
        - mn
        - ms
        - mo
        - mt
        - ne
        - nv
        - nh
        - nj
        - nm
        - ny
        - nc
        - nd
        - oh
        - ok
        - or
        - pa
        - ri
        - sc
        - sd
        - tn
        - tx
        - ut
        - vt
        - va
        - wa
        - wv
        - wi
        - wy
    HealthgradesFacilitySort:
      type: string
      enum:
        - relevance
        - distance
        - rating
    HealthgradesHours:
      properties:
        '@type':
          type: string
          default: HealthgradesHours
        day:
          anyOf:
            - type: string
            - type: 'null'
        start:
          anyOf:
            - type: string
            - type: 'null'
        end:
          anyOf:
            - type: string
            - type: 'null'
        is_closed:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````